import { RequireSome } from '../../core/interface';
import { CrudServiceProperties } from '../../core/services/crud.service';
import { ServiceLoader } from '../loader';
export interface CrudConfig extends RequireSome<CrudServiceProperties, 'route'> {
    /** load crud data from disk */
    loadData?: {
        path: string;
    };
}
export declare const bootCrudService: ServiceLoader<CrudConfig>;
