import { FileServiceProperties } from '../../core/services/file.service';
import { ServiceLoader } from '../loader';
export interface FileConfig extends Omit<FileServiceProperties, 'basePath' | 'path'> {
    basePath?: string;
    routes: {
        [key: string]: string;
    };
}
export declare const bootFileService: ServiceLoader<FileConfig>;
