(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "path", "../../core/services/upload.service"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const path_1 = require("path");
    const upload_service_1 = require("../../core/services/upload.service");
    exports.bootUploadService = (config, { configPath }) => {
        const { directory } = config;
        const absolute = directory ? path_1.resolve(configPath, directory) : path_1.resolve(configPath);
        return upload_service_1.uploadService(Object.assign(Object.assign({}, config), { directory: absolute }));
    };
});
//# sourceMappingURL=upload.js.map